export const defineVirtualModule = (params) => {
    const virtualModule = createVirtualModule(params)
    // @ts-ignore
    global.define('@ijl/fire.app', [], virtualModule)
}

const createVirtualModule = ({config, navigations}) => ({
    getConfig: () => config,
    getConfigValue: (key) => config[key],
    getNavigations: () => navigations,
    getNavigationsValue: (key) => navigations[key],
})